Subject: Re: Prometheus exporter for nncp?

From: "Jonathan Lane" <[email-masked]>
Date: Mon, 22 Dec 2025 12:16:27 -0500

On Mon Dec 22, 2025 at 11:35 AM EST, dvn wrote:
> I have not heard of any prometheus exporter for nncp, but it would be 
> nice to have.
The other thing it would be very nice to have, which may already exist,
is the ability for nncp-daemon to auto-toss every <time interval> as
specified in the config file.  That would allow reducing a Kubernetes
NNCPNet deployment to a Postfix container, an NNCP container, a Dovecot
container, a Service exposing Postfix/465 and Dovecot/993, a shared
Persistent Volume, and some system for provisioning users/passwords.

Actually at this point integrating a CalDAV server would get you most of
the way to an Outlook/Exchange replacement if the NNCPNet node was
configured as an Internet bridge.
-- 
Jonathan Lane